Page MenuHomePhabricator

RegBankSelect: Remove checks for invalid mappings
ClosedPublic

Authored by arsenm on Jun 11 2019, 4:15 PM.

Details

Reviewers
qcolombet
Summary

Avoid a check for valid and a set of redundant asserts. The place
InstructionMapping is constructed asserts all of the default fields
are passed anyway for an invalid mapping, so don't overcomplicate
this.

Diff Detail

Event Timeline

arsenm created this revision.Jun 11 2019, 4:15 PM
qcolombet accepted this revision.Jun 12 2019, 3:35 PM

LGTM.

Nitpicks below.

include/llvm/CodeGen/GlobalISel/RegisterBankInfo.h
214

We'll need to update this comment as well.

This revision is now accepted and ready to land.Jun 12 2019, 3:35 PM
arsenm closed this revision.Jun 14 2019, 6:39 AM
arsenm marked an inline comment as done.

r363391